org.apache.tinkerpop.gremlin.process.computer.traversal.strategy.finalization

## Class ComputerFinalizationStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.FinalizationStrategy>
  - - org.apache.tinkerpop.gremlin.process.computer.traversal.strategy.finalization.ComputerFinalizationStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.FinalizationStrategy>

      public final class ComputerFinalizationStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.FinalizationStrategy>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin<?,?> traversal)`
    `Set<Class<? extends TraversalStrategy.FinalizationStrategy>>` | `applyPrior()` The set of strategies that must be executed before this strategy is executed.
    `static ComputerFinalizationStrategy` | `instance()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPost, compareTo, getConfiguration, getTraversalCategory`

- - ### Method Detail

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

    - #### instance

          public static ComputerFinalizationStrategy instance()

    - #### applyPrior

          public Set<Class<? extends TraversalStrategy.FinalizationStrategy>> applyPrior()

      Description copied from interface: `TraversalStrategy`
      The set of strategies that must be executed before this strategy is executed. If there are no ordering requirements, the default implementation returns an empty set.
      Returns:
        the set of strategies that must be executed prior to this one.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.